Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.openjpa.persistence.jdbc
Enum ResultSetType

    java.lang.Object
      java.lang.Enum<ResultSetType>
          org.apache.openjpa.persistence.jdbc.ResultSetType

All Implemented Interfaces:
  Serializable, Comparable<ResultSetType>, OpenJPAEnum<ResultSetType>

    public enum ResultSetType

extends Enum<ResultSetType>
implements OpenJPAEnum<ResultSetType>

Type of result set to use.

Since:
  1.0.0

Enum Constant Summary
`FORWARD_ONLY`
`SCROLL_INSENSITIVE`
`SCROLL_SENSITIVE`

Method Summary
`int` | `convertToKernelConstant(int i)` Convert the given integer to an equivalent kernel constant.
`int` | `convertToKernelConstant(String s)` Convert the given String to an equivalent kernel constant.
`(package private) static ResultSetType` | `fromKernelConstant(int kernelConstant)`
`int` | `toKernelConstant()` Convert this receiver to an equivalent kernel constant.
`static int` | `toKernelConstantFromString(String s)`
`static ResultSetType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ResultSetType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FORWARD_ONLY

    public static final ResultSetType FORWARD_ONLY

### SCROLL_INSENSITIVE

    public static final ResultSetType SCROLL_INSENSITIVE

### SCROLL_SENSITIVE

    public static final ResultSetType SCROLL_SENSITIVE

Method Detail

### values

    public static ResultSetType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ResultSetType c : ResultSetType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ResultSetType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toKernelConstant

    public int toKernelConstant()

  Description copied from interface: `OpenJPAEnum`
  Convert this receiver to an equivalent kernel constant.

  Specified by:
    `toKernelConstant` in interface `OpenJPAEnum<ResultSetType>`

### fromKernelConstant

    static ResultSetType fromKernelConstant(int kernelConstant)

### convertToKernelConstant

    public int convertToKernelConstant(String s)

  Description copied from interface: `OpenJPAEnum`
  Convert the given String to an equivalent kernel constant. This method has a static semantics in the sense that it can be invoked on any enum instance, but the conversion is done w.r.t. all enums of the generic type.

  Specified by:
    `convertToKernelConstant` in interface `OpenJPAEnum<ResultSetType>`

### convertToKernelConstant

    public int convertToKernelConstant(int i)

  Description copied from interface: `OpenJPAEnum`
  Convert the given integer to an equivalent kernel constant. This method has a static semantics in the sense that it can be invoked on any enum instance, but the conversion is done w.r.t. all enums of the generic type.

  Specified by:
    `convertToKernelConstant` in interface `OpenJPAEnum<ResultSetType>`

### toKernelConstantFromString

    public static int toKernelConstantFromString(String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.